# Method: accounts.labels.delete

- [HTTP request](https://developers.google.com/shopping-content/reference/rest/v2.1/accounts.labels/delete#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/shopping-content/reference/rest/v2.1/accounts.labels/delete#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/shopping-content/reference/rest/v2.1/accounts.labels/delete#body.request_body)
- [Response body](https://developers.google.com/shopping-content/reference/rest/v2.1/accounts.labels/delete#body.response_body)
- [Authorization scopes](https://developers.google.com/shopping-content/reference/rest/v2.1/accounts.labels/delete#body.aspect)
- [Try it!](https://developers.google.com/shopping-content/reference/rest/v2.1/accounts.labels/delete#try-it)

Deletes a label and removes it from all accounts to which it was assigned.

### HTTP request

`DELETE https://shoppingcontent.googleapis.com/content/v2.1/accounts/{accountId}/labels/{labelId}`

### Path parameters

| Parameters ||
|---|---|
| `accountId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The id of the account that owns the label. |
| `labelId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The id of the label to delete. |

### Request body

The request body must be empty.

### Response body

If successful, the response body is an empty JSON object.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).